# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # Initiate a wire payment request In this tutorial, you'll learn how to use the Global Payments API to initiate an wire request for several common use cases. By the end of this tutorial, you'll know how to: - Create an wire request payload. - Interpret a successful response. ## Before you begin To use wire, you'll need the following: - A [registered and fully onboarded](/docs/quick-start) developer account on the J.P. Morgan Payments Developer Portal. - An active project that provides you with the credentials used to make a request. - A bank account configured for each country where you want to perform a wire payment transaction. ## Send a request Request payloads may vary depending on use cases including the type of wire and market. > The Global Payments API has different required [payment parameters](/docs/treasury/global-payments/capabilities/global-payments-2/wire/same-currency-wires/payment-parameters) depending on the region. The below examples show the minimum required fields for a US wire payment. > The following example shows the minimum required fields for a wire payment: ```curl curl --request POST \ --url https://api-mock.payments.jpmorgan.com/payment/v2/payments \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --header 'Idempotency-Key: 1b036f9c-8c84-4ce6-b1dd-5979472945a1' \ --header 'Request-Id: 1a2b3c4d-5e6f-7g8h-9i0j-1k2l3m4n5o6p' \ --data '{ { "requestedExecutionDate": "2026-01-14", "paymentIdentifiers": { "endToEndId": "US_WIRETEST_123" }, "value": { "currency": "USD", "amount": "1" }, "transferType": "CREDIT", "paymentType": "WIRE", "debtor": { "account": { "accountNumber": "12311871", "accountCurrency": "USD" } }, "debtorAgent": { "financialInstitutionIds": [ { "id": "021000021", "idType": "USABA" }, { "id": "CHASUS33", "idType": "BIC" } ], "postalAddress": { "country": "US" } }, "creditor": { "name": "JPMCHASE", "account": { "accountNumber": "123456789", "accountCurrency": "USD" }, "postalAddress": { "country": "US" } }, "creditorAgent": { "financialInstitutionIds": [ { "id": "021000021", "idType": "USABA" } ] }, "paymentPurpose": { "purpose": { "code": "GDDS" } }, "paymentTypeInformation": { "paymentContext": "CUSTOMER" }, "remittanceInformation": { "unstructuredInformation": [ { "text": "Payment for Macbook batteries Receipt #AXF23-LGG" } ] } } ``` ```json { "requestedExecutionDate": "2026-01-14", "paymentIdentifiers": { "endToEndId": "US_WIRETEST_123" }, "value": { "currency": "USD", "amount": "1" }, "transferType": "CREDIT", "paymentType": "WIRE", "debtor": { "account": { "accountNumber": "12311871", "accountCurrency": "USD" } }, "debtorAgent": { "financialInstitutionIds": [ { "id": "021000021", "idType": "USABA" }, { "id": "CHASUS33", "idType": "BIC" } ], "postalAddress": { "country": "US" } }, "creditor": { "name": "JPMCHASE", "account": { "accountNumber": "123456789", "accountCurrency": "USD" }, "postalAddress": { "country": "US" } }, "creditorAgent": { "financialInstitutionIds": [ { "id": "021000021", "idType": "USABA" } ] }, "paymentPurpose": { "purpose": { "code": "GDDS" } }, "paymentTypeInformation": { "paymentContext": "CUSTOMER" }, "remittanceInformation": { "unstructuredInformation": [ { "text": "Payment for Macbook batteries Receipt #AXF23-LGG" } ] } } ``` ## Confirm the response For all use cases, you should receive a successful response containing a `paymentId` and an `endToEndId`. These values can be used to retrieve the status or payment details of your request. ```json { "paymentId": "af048c43-55ff-421c-a88c-f56fc2c39105", "paymentStatus": "ACCEPTED", "paymentSubStatus": "ACCEPTED", "statusUpdatedAt": "2026-01-14T20:32:50.189Z", "requestedExecutionDate": "2026-01-14", "paymentIdentifiers": { "endToEndId": "US_WIRETEST_PROD112" }, "transferType": "CREDIT", "paymentType": "WIRE" } ``` When submitting your payment request, you may encounter various error messages. The Global Payments API utilizes standard [HTTP response codes](/api/response-codes) and offers additional details through the error response payload. For more information, refer to the [status responses and error codes](/api/treasury/global-payments/global-payments-2/error-codes). ## Related - For more information about wire payment parameters, see [Payment parameters](/docs/treasury/global-payments/capabilities/global-payments-2/wire/same-currency-wires/payment-parameters). - For more information about status responses and error codes supported by the Global Payments API, see [Global Payments 2 status responses and error codes](/api/treasury/global-payments/global-payments-2/error-codes). ## Next steps - Learn how to [retrieve the status of your wire request](/docs/treasury/global-payments/capabilities/global-payments-2/wire/how-to/get-wire-request-status).